Package org.codehaus.groovy.tools.groovydoc

# Class GroovyRootDocBuilder

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

public class GroovyRootDocBuilder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)`
  `GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildTree(List<String> filenames)`
  `GroovyRootDoc`
  `getRootDoc()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyRootDocBuilder

    @Deprecated public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)
    Deprecated.

  - ### GroovyRootDocBuilder

    public GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)

- ## Method Details

  - ### buildTree

    public void buildTree(List<String> filenames) throws IOException
    Throws:
      `IOException`

  - ### getRootDoc

    public GroovyRootDoc getRootDoc()